<?php
/*
Plugin Name: UIKit WP Integrator for Developers
Plugin URI: http://www.alessioangeloro.it/blog/guide-e-tutorial-wordpress/uikit-plugin-wordpress/
Description: This plugin give you a full control of the components of UIKit CSS framework (by YooTheme.com). You can choose which JS files you want to load and choose the theme to embed in your website.
Version: 2.0.0
Author: Alessio Angeloro
Author URI: https://alessioangeloro.it
License: GPL2
*/

// Hooks for adding settings menu page
add_action('admin_menu', 'uk_wp_integrator_menu');
add_action( 'admin_init', 'uk_wp_integrator_init');

// Registering the menu item under settings
function uk_wp_integrator_menu() {
	add_options_page('UIKit WP Integrator Settings', 'UIKit Integrator', 'manage_options', 'uk-wp-integrator', 'uk_wp_integrator_options');
}

// Generating code for the plugin settings page
function uk_wp_integrator_options() {
	if (!current_user_can('manage_options')) {
		wp_die(__('You do not have sufficient permissions to access this page.'));
	}	
?>

<style type="text/css">
label {
    float: left;
    margin: 5px;
    width: 100%;
}
div.left {
    float: left;
    width: 33%;
}
</style>
	<div class="wrap">
		<h2><div><?php echo '<img src="' . plugins_url( 'assets/uikit.png', __FILE__ ) . '" > ';?></div> UIKit WP Integrator for Developers</h2>
			<form method="post" action="options.php">
			    <?php settings_fields('uk-wp-integrator-group'); ?>
			    <?php @do_settings_fields('uk-wp-integrator-group'); ?>
			    <?php
			    	$style_chooser = get_option('style-chooser');
			    	if (empty($style_chooser)) {
			    		$style_chooser = '0';
			    	}
			    ?>
			    <table class="form-table">
			        <tr valign="top">
			        	<th scope="row">Please select the UIKit theme you want to integrate</th>
			        	<td width="250">
			        		<fieldset>
			        			<legend class="screen-reader-text"><span>Please select the UIKit theme you want to integrate</span></legend>
			        			<label title="0">
			        				<input id="gradient" name="style-chooser" type="radio" value="0" <?php checked('0', $style_chooser); ?> />
			        				<span>Gradient</span>
			        			</label>
			        			<label title="1">
			        				<input id="almost-flat" name="style-chooser" type="radio" value="1" <?php checked('1', $style_chooser); ?> />
			        				<span>Almost Flat</span>
			        			</label>
			        			<label title="2">
			        				<input id="flat" name="style-chooser" type="radio" value="2" <?php checked('2', $style_chooser); ?> />
			        				<span>Flat</span>
			        			</label>			        					        			
			        		</fieldset>
			        	</td>
			        	<td>
			        		<small><strong>UIKit can be added in 3 different styles:</strong></small>
							<ul>
								<li><small><strong>Gradient:</strong> Using CSS3 gradients and new state of the art codes to keep with modern standards</small></li>
								<li><small><strong>Almost Flat:</strong> Using mixture of flat and CSS3 stuff</small></li>
								<li><small><strong>Flat:</strong> No use of new CSS3 features, good for websites that want to support old browsers</small></li>
							</ul>
							<small>Please choose one of the styles to embed into website.</small>
			        	</td>
			        </tr>
			         
			        <tr valign="top">
			        	<th scope="row">Please select which JS files you want to include / exclude</th>
			        	<td width="400">
                        <fieldset class="the-addons">
                        <h3>Layout</h3>
                        <label for="grid">
			        		<input id="grid" name="grid" type="checkbox" value="14" <?php checked('14', get_option('grid')); ?> />
			        		<span>Dynamic Grid</span>
			        	</label>
                        <label for="utility">
			        		<input id="utility" name="utility" type="checkbox" value="32" <?php checked('32', get_option('utility')); ?> />
			        		<span>Utility</span>
			        	</label>
                        <label for="cover">
			        		<input id="cover" name="cover" type="checkbox" value="19" <?php checked('19', get_option('cover')); ?> />
			        		<span>Cover</span>
			        	</label>
                        
                         <h3>Navigations</h3>
                         <label for="navigation">
			        		<input id="navigation" name="navigation" type="checkbox" value="15" <?php checked('15', get_option('navigation')); ?> />
			        		<span>Dotnav / Slidenav</span>
			        	</label>
                        <label for="pagination">
			        		<input id="addons-pagination" name="pagination" type="checkbox" value="13" <?php checked('13', get_option('pagination')); ?> />
			        		<span>Dynamic Pagination</span>
			        	</label>
                        <label for="tab">
			        		<input id="tab" name="tab" type="checkbox" value="29" <?php checked('29', get_option('tab')); ?> />
			        		<span>Tab</span>
			        	</label>
                        <h3>Common</h3>
                        <label for="buttons">
			        		<input id="buttons" name="buttons" type="checkbox" value="18" <?php checked('18', get_option('buttons')); ?> />
			        		<span>Buttons</span>
			        	</label>
                        <label for="alert">
			        		<input id="alert" name="alert" type="checkbox" value="17" <?php checked('17', get_option('alert')); ?> />
			        		<span>Alert</span>
			        	</label>
                        <label for="form-password">
			        		<input id="addons-form-password" name="form-password" type="checkbox" value="2" <?php checked('2', get_option('form-password')); ?> />
			        		<span>Form Password</span>
			        	</label>
			        	<label for="form-select">
			        		<input id="addons-form-select" name="form-select" type="checkbox" value="11" <?php checked('11', get_option('form-select')); ?> />
			        		<span>Form Select</span>
			        	</label>
                        <h3>Javascript</h3>
                        <div class="left">
                        <label for="lightbox">
			        		<input id="lightbox" name="lightbox" type="checkbox" value="21" <?php checked('21', get_option('lightbox')); ?> />
			        		<span>Lightbox</span>
			        	</label>
                        <label for="autocomplete">
			        		<input id="addons-autocomplete" name="autocomplete" type="checkbox" value="10" <?php checked('10', get_option('autocomplete')); ?> />
			        		<span>Autocomplete</span>
			        	</label>
                        <label for="datepicker">
			        		<input id="addons-datepicker" name="datepicker" type="checkbox" value="1" <?php checked('1', get_option('datepicker')); ?> />
			        		<span>Datepicker</span>
			        	</label>
                        <label for="htmleditor">
			        		<input id="addons-htmleditor" name="htmleditor" type="checkbox" value="3" <?php checked('3', get_option('htmleditor')); ?> />
			        		<span>HTML Editor</span>
			        	</label>
                        <label for="slideshowfx">
			        		<input id="slideshowfx" name="slideshowfx" type="checkbox" value="25" <?php checked('25', get_option('slideshowfx')); ?> />
			        		<span>Slideshow Fx</span>
			        	</label>
                        <label for="slideshow">
			        		<input id="slideshow" name="slideshow" type="checkbox" value="26" <?php checked('26', get_option('slideshow')); ?> />
			        		<span>Slideshow</span>
			        	</label>
                        <label for="accordion">
			        		<input id="accordion" name="accordion" type="checkbox" value="16" <?php checked('16', get_option('accordion')); ?> />
			        		<span>Accordion</span>
			        	</label>
                        <label for="notify">
			        		<input id="addons-notify" name="notify" type="checkbox" value="4" <?php checked('4', get_option('notify')); ?> />
			        		<span>Notify</span>
			        	</label>
                        </div>
                        <div class="left">
                        <label for="search">
			        		<input id="addons-search" name="search" type="checkbox" value="5" <?php checked('5', get_option('search')); ?> />
			        		<span>Search</span>
			        	</label>
                        <label for="nestable">
			        		<input id="addons-nestable" name="nestable" type="checkbox" value="12" <?php checked('12', get_option('nestable')); ?> />
			        		<span>Nestable</span>
			        	</label>
                        <label for="sortable">
			        		<input id="addons-sortable" name="sortable" type="checkbox" value="6" <?php checked('6', get_option('sortable')); ?> />
			        		<span>Sortable</span>
			        	</label>
                        <label for="sticky">
			        		<input id="addons-sticky" name="sticky" type="checkbox" value="7" <?php checked('7', get_option('sticky')); ?> />
			        	<span>Sticky</span>
			        	</label>
			        	<label for="timepicker">
			        		<input id="addons-timepicker" name="timepicker" type="checkbox" value="8" <?php checked('8', get_option('timepicker')); ?> />
			        		<span>Timepicker</span>
			        	</label>
                        <label for="tooltip">
			        		<input id="tooltip" name="tooltip" type="checkbox" value="31" <?php checked('31', get_option('tooltip')); ?> />
			        		<span>Tooltip</span>
			        	</label>
                        <label for="upload">
			        		<input id="addons-upload" name="upload" type="checkbox" value="9" <?php checked('9', get_option('upload')); ?> />
			        		<span>Upload</span>
			        	</label>
                        <label for="dropdown">
			        		<input id="dropdown" name="dropdown" type="checkbox" value="20" <?php checked('20', get_option('dropdown')); ?> />
			        		<span>Dropdown</span>
			        	</label>
                        </div>
                        <div class="left">
                        <label for="modal">
			        		<input id="modal" name="modal" type="checkbox" value="22" <?php checked('22', get_option('modal')); ?> />
			        		<span>Modal</span>
			        	</label>
                        <label for="offcanvas">
			        		<input id="offcanvas" name="offcanvas" type="checkbox" value="23" <?php checked('23', get_option('offcanvas')); ?> />
			        		<span>Off-canvas</span>
			        	</label>
                        <label for="scrollspy">
			        		<input id="scrollspy" name="scrollspy" type="checkbox" value="24" <?php checked('24', get_option('scrollspy')); ?> />
			        		<span>Scrollspy</span>
			        	</label>
                        <label for="smoothscroll">
			        		<input id="smoothscroll" name="smoothscroll" type="checkbox" value="27" <?php checked('27', get_option('smoothscroll')); ?> />
			        		<span>Smooth Scroll</span>
			        	</label>
                        <label for="switcher">
			        		<input id="switcher" name="switcher" type="checkbox" value="28" <?php checked('28', get_option('switcher')); ?> />
			        		<span>Switcher</span>
			        	</label>
                        <label for="toggle">
			        		<input id="toggle" name="toggle" type="checkbox" value="30" <?php checked('30', get_option('toggle')); ?> />
			        		<span>Toggle</span>
			        	</label>
                        <label for="touch">
			        		<input id="touch" name="touch" type="checkbox" value="32" <?php checked('32', get_option('touch')); ?> />
			        		<span>Touch</span>
			        	</label>                       
                        <label for="core">
			        		<input id="core" name="core" type="checkbox" value="33" <?php checked('33', get_option('core')); ?> />
			        		<span>Core</span>
			        	</label>
                        </div>
				        		<legend class="screen-reader-text"><span>Please select the desired addon you want to enable</span></legend>
				        	</fieldset>	
				        	<div class="select-btn">SELECT <span class="all">ALL</span> | <span class="none">NONE</span></div>		        					        		
			        	</td>
			        </tr>
			    </table>
			    <?php @submit_button(); ?>
			</form>
	</div>

<?php
}

// Registering Settings 
function uk_wp_integrator_init() {
	register_setting('uk-wp-integrator-group', 'style-chooser');
	register_setting('uk-wp-integrator-group', 'autocomplete');
	register_setting('uk-wp-integrator-group', 'datepicker');
	register_setting('uk-wp-integrator-group', 'form-password');
	register_setting('uk-wp-integrator-group', 'form-select');	
	register_setting('uk-wp-integrator-group', 'htmleditor');
	register_setting('uk-wp-integrator-group', 'nestable');	
	register_setting('uk-wp-integrator-group', 'notify');
	register_setting('uk-wp-integrator-group', 'pagination');	
	register_setting('uk-wp-integrator-group', 'search');
	register_setting('uk-wp-integrator-group', 'sortable');
	register_setting('uk-wp-integrator-group', 'sticky');
	register_setting('uk-wp-integrator-group', 'timepicker');
	register_setting('uk-wp-integrator-group', 'upload');
	register_setting('uk-wp-integrator-group', 'grid');
	register_setting('uk-wp-integrator-group', 'navigation');
	register_setting('uk-wp-integrator-group', 'accordion');
	register_setting('uk-wp-integrator-group', 'alert');
	register_setting('uk-wp-integrator-group', 'buttons');
	register_setting('uk-wp-integrator-group', 'cover');
	register_setting('uk-wp-integrator-group', 'dropdown');
	register_setting('uk-wp-integrator-group', 'lightbox');
	register_setting('uk-wp-integrator-group', 'modal');
	register_setting('uk-wp-integrator-group', 'offcanvas');
	register_setting('uk-wp-integrator-group', 'scrollspy');
	register_setting('uk-wp-integrator-group', 'slideshowfx');
	register_setting('uk-wp-integrator-group', 'slideshow');
	register_setting('uk-wp-integrator-group', 'smoothscroll');
	register_setting('uk-wp-integrator-group', 'switcher');
	register_setting('uk-wp-integrator-group', 'tab');
	register_setting('uk-wp-integrator-group', 'toggle');
	register_setting('uk-wp-integrator-group', 'tooltip');
	register_setting('uk-wp-integrator-group', 'touch');
	register_setting('uk-wp-integrator-group', 'utility');
	register_setting('uk-wp-integrator-group', 'core');
}

// Adding Scripts and Styles
add_action('wp_enqueue_scripts', 'uk_wp_integrator_script');
add_action('admin_enqueue_scripts', 'uk_wp_integrator_script_admin');

function uk_wp_integrator_script() {

	$uikit_version = '2.18.0';
	$style_chooser = get_option('style-chooser');
	$autocomplete = get_option('autocomplete');
	$datepicker = get_option('datepicker');
	$form_password = get_option('form-password');
	$form_select = get_option('form-select');
	$htmleditor = get_option('htmleditor');
	$nestable = get_option('nestable');
	$notify = get_option('notify');
	$pagination = get_option('pagination');
	$search = get_option('search');
	$sortable = get_option('sortable');
	$sticky = get_option('sticky');
	$timepicker = get_option('timepicker');
	$upload = get_option('upload');
	$grid = get_option('grid');
	$navigation = get_option('navigation');
	$accordion = get_option('accordion');
	$alert = get_option('alert');
	$buttons = get_option('buttons');
	$cover = get_option('cover');
	$dropdown = get_option('dropdown');
	$lightbox = get_option('lightbox');
	$modal = get_option('modal');
	$canvas = get_option('canvas');
	$scrollspy = get_option('scrollspy');
	$slideshowfx = get_option('slideshowfx');
	$slideshow = get_option('slideshow');
	$smoothscroll = get_option('smoothscroll');
	$switcher = get_option('switcher');
	$tab = get_option('tab');
	$toggle = get_option('toggle');
	$tooltip = get_option('tooltip');
	$touch = get_option('touch');
	$utility = get_option('utility');
	$core = get_option('core');
	
	switch ($style_chooser) {
		case '2':
			$the_style_chooser = 'uikit.min.css';
			break;
		case '1':
			$the_style_chooser = 'uikit.almost-flat.min.css';
			break;		
		default:
			$the_style_chooser = 'uikit.gradient.min.css';
			break;
	}

	wp_register_style('uk-wp-css', plugins_url('uikit/css/'.$the_style_chooser, __FILE__), '', $uikit_version ,'all');
	wp_enqueue_style('uk-wp-css');

	wp_register_script('uk-wp-main', plugins_url('uikit/js/uikit.min.js', __FILE__), array('jquery'), $uikit_version ,false);
	wp_enqueue_script('uk-wp-main');

	if (
			!empty($autocomplete) ||
			!empty($datepicker) ||
			!empty($form_password) ||
			!empty($form_select) ||
			!empty($htmleditor) ||
			!empty($nestable) ||
			!empty($notify) ||
			!empty($pagination) ||
			!empty($search) ||
			!empty($sortable) ||
			!empty($sticky) ||
			!empty($timepicker) ||
			!empty($grid) ||
			!empty($navigation) ||
			!empty($accordion) ||
			!empty($alert) ||
			!empty($buttons) ||
			!empty($cover) ||
			!empty($dropdown) ||
			!empty($lightbox) ||
			!empty($modal) ||
			!empty($offcanvas) ||
			!empty($scrollspy) ||
			!empty($slideshowfx) ||
			!empty($slideshow) ||
			!empty($smoothscroll) ||
			!empty($switcher) ||
			!empty($tab) ||
			!empty($toggle) ||
			!empty($tooltip) ||
			!empty($touch) ||
			!empty($utility) ||
			!empty($core) ||		
			!empty($upload)
	   ) {
			switch ($style_chooser) {
				case '2':
					$the_style_addon = 'uikit.addons.min.css';
					break;
				case '1':
					$the_style_addon = 'uikit.almost-flat.addons.min.css';
					break;		
				default:
					$the_style_addon = 'uikit.gradient.addons.min.css';
					break;
			}	   	
			wp_register_style('uk-wp-addons', plugins_url('uikit/css/addons/'.$the_style_addon, __FILE__), '', $uikit_version ,'all');
			wp_enqueue_style('uk-wp-addons');		
	}
	if (!empty($autocomplete)) {
		wp_register_script('uk-wp-autocomplete', plugins_url('uikit/js/addons/autocomplete.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-autocomplete');
	}
	if (!empty($datepicker)) {
		wp_register_script('uk-wp-datepicker', plugins_url('uikit/js/addons/datepicker.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-datepicker');
	}
	if (!empty($form_password)) {
		wp_register_script('uk-wp-form-password', plugins_url('uikit/js/addons/form-password.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-form-password');
	}
	if (!empty($form_select)) {
		wp_register_script('uk-wp-form-select', plugins_url('uikit/js/addons/form-select.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-form-select');
	}	
	if (!empty($htmleditor)) {
		wp_register_script('uk-wp-htmleditor', plugins_url('uikit/js/addons/htmleditor.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-htmleditor');
	}
	if (!empty($nestable)) {
		wp_register_script('uk-wp-nestable', plugins_url('uikit/js/addons/nestable.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-nestable');
	}	
	if (!empty($notify)) {
		wp_register_script('uk-wp-notify', plugins_url('uikit/js/addons/notify.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-notify');
	}	
	if (!empty($pagination)) {
		wp_register_script('uk-wp-pagination', plugins_url('uikit/js/addons/pagination.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-pagination');
	}	
	if (!empty($search)) {
		wp_register_script('uk-wp-search', plugins_url('uikit/js/addons/search.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-search');
	}	
	if (!empty($sortable)) {
		wp_register_script('uk-wp-sortable', plugins_url('uikit/js/addons/sortable.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-sortable');
	}	
	if (!empty($sticky)) {
		wp_register_script('uk-wp-sticky', plugins_url('uikit/js/addons/sticky.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-sticky');
	}
	if (!empty($timepicker)) {
		wp_register_script('uk-wp-timepicker', plugins_url('uikit/js/addons/timepicker.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-timepicker');
	}	
	if (!empty($upload)) {
		wp_register_script('uk-wp-upload', plugins_url('uikit/js/addons/upload.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-upload');
	}
	if (!empty($grid)) {
		wp_register_script('uk-wp-grid', plugins_url('uikit/js/addons/grid.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-grid');
	}
	if (!empty($navigation)) {
		wp_register_script('uk-wp-navigation', plugins_url('uikit/js/addons/nav.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-navigation');
	}
	if (!empty($accordion)) {
		wp_register_script('uk-wp-accordion', plugins_url('uikit/js/addons/accordion.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-accordion');
	}
	if (!empty($alert)) {
		wp_register_script('uk-wp-alert', plugins_url('uikit/js/addons/alert.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-alert');
	}
	if (!empty($buttons)) {
		wp_register_script('uk-wp-buttons', plugins_url('uikit/js/addons/button.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-buttons');
	}
	if (!empty($cover)) {
		wp_register_script('uk-wp-cover', plugins_url('uikit/js/addons/cover.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-cover');
	}
	if (!empty($dropdown)) {
		wp_register_script('uk-wp-dropdown', plugins_url('uikit/js/addons/dropdown.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-dropdown');
	}
	if (!empty($lightbox)) {
		wp_register_script('uk-wp-lightbox', plugins_url('uikit/js/addons/lightbox.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-lightbox');
	}
	if (!empty($modal)) {
		wp_register_script('uk-wp-modal', plugins_url('uikit/js/addons/modal.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-modal');
	}
	if (!empty($offcanvas)) {
		wp_register_script('uk-wp-offcanvas', plugins_url('uikit/js/addons/offcanvas.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-offcanvas');
	}
	if (!empty($scrollspy)) {
		wp_register_script('uk-wp-scrollspy', plugins_url('uikit/js/addons/scrollspy.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-scrollspy');
	}
	if (!empty($slideshowfx)) {
		wp_register_script('uk-wp-slideshowfx', plugins_url('uikit/js/addons/slideshow-fx.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-slideshowfx');
	}
	if (!empty($slideshow)) {
		wp_register_script('uk-wp-slideshow', plugins_url('uikit/js/addons/slideshow.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-slideshow');
	}
	if (!empty($smoothscroll)) {
		wp_register_script('uk-wp-smoothscroll', plugins_url('uikit/js/addons/smooth-scroll.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-smoothscroll');
	}
	if (!empty($switcher)) {
		wp_register_script('uk-wp-switcher', plugins_url('uikit/js/addons/switcher.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-switcher');
	}
	if (!empty($tab)) {
		wp_register_script('uk-wp-tab', plugins_url('uikit/js/addons/tab.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-tab');
	}
	if (!empty($toggle)) {
		wp_register_script('uk-wp-toggle', plugins_url('uikit/js/addons/toggle.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-toggle');
	}
	if (!empty($tooltip)) {
		wp_register_script('uk-wp-tooltip', plugins_url('uikit/js/addons/tooltip.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-tooltip');
	}
	if (!empty($touch)) {
		wp_register_script('uk-wp-touch', plugins_url('uikit/js/addons/touch.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-touch');
	}
	if (!empty($utility)) {
		wp_register_script('uk-wp-utility', plugins_url('uikit/js/addons/utility.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-utility');
	}
	if (!empty($core)) {
		wp_register_script('uk-wp-core', plugins_url('uikit/js/addons/core.min.js', __FILE__), array('jquery'), $uikit_version ,false);
		wp_enqueue_script('uk-wp-core');
	}
}

function uk_wp_integrator_script_admin() {
	wp_register_style('uk-wp-admin-css', plugins_url('assets/uk-wp-integrator.css', __FILE__), '', $uikit_version ,'all');
	wp_enqueue_style('uk-wp-admin-css');	
	wp_register_script('uk-wp-custom', plugins_url('assets/uk-wp-integrator.js', __FILE__), array('jquery'), $uikit_version ,false);
	wp_enqueue_script('uk-wp-custom');	
}

?>